Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class ImageDataContentHandler

    java.lang.Object
      |
      +--weblogic.webservice.encoding.ImageDataContentHandler

public class ImageDataContentHandler
extends java.lang.Object
implements javax.activation.DataContentHandler

Constructor Summary
`ImageDataContentHandler()`

Method Summary
`java.lang.Object` | `getContent(javax.activation.DataSource ds)`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor df, javax.activation.DataSource ds)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`void` | `writeTo(java.lang.Object obj, java.lang.String mimeType, java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDataContentHandler

    public ImageDataContentHandler()

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    getTransferDataFlavors in interface javax.activation.DataContentHandler

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor df,
                                            javax.activation.DataSource ds)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    getTransferData in interface javax.activation.DataContentHandler

### getContent

    public java.lang.Object getContent(javax.activation.DataSource ds)
                                throws java.io.IOException

  Specified by:
    getContent in interface javax.activation.DataContentHandler

### writeTo

    public void writeTo(java.lang.Object obj,
                        java.lang.String mimeType,
                        java.io.OutputStream out)
                 throws java.io.IOException

  Specified by:
    writeTo in interface javax.activation.DataContentHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference